From b77181a05aaf3436d14248713bc45f049f8df20a Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 08 2015 04:14:59 +0000
Subject: [PATCH 101/254] Fix some random errors.


---

diff --git a/hubs/hinting.py b/hubs/hinting.py
index 47e7d14..9f049f3 100644
--- a/hubs/hinting.py
+++ b/hubs/hinting.py
@@ -10,7 +10,8 @@ log = logging.getLogger('hubs.hinting')
 def hint(topics=None, categories=None, usernames=None):
     topics = topics or []
     categories = categories or []
-    usernames = usernames or lambda x: []
+    default_usernames = lambda x: []
+    usernames = usernames or default_usernames
 
     @decorator.decorator
     def wrapper(fn, *args, **kwargs):
diff --git a/hubs/widgets/about.py b/hubs/widgets/about.py
index 55693c9..b0df6cc 100644
--- a/hubs/widgets/about.py
+++ b/hubs/widgets/about.py
@@ -1,3 +1,4 @@
+from hubs.hinting import hint, prefixed as _
 from hubs.widgets.chrome import panel
 from hubs.widgets.base import argument
 
diff --git a/hubs/widgets/avatar.py b/hubs/widgets/avatar.py
index bcda21d..bf49bf6 100644
--- a/hubs/widgets/avatar.py
+++ b/hubs/widgets/avatar.py
@@ -1,3 +1,4 @@
+from hubs.hinting import hint, prefixed as _
 from hubs.widgets.base import argument
 from hubs.utils import username2avatar
 
diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index 0c22872..5f985af 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -1,3 +1,4 @@
+from hubs.hinting import hint
 from hubs.widgets.chrome import panel
 
 import jinja2

